REST APIV2 BetaSalesforce
Trigger Account Pages
Trigger account page generation or refresh for a Salesforce account. The operation is processed asynchronously and the sync request is updated upon completion.
Authorization
BearerToken AuthorizationBearer <token>
Pass an OAuth access token or an API token from Settings > MCP Server.
In: header
Request Body
application/json
sync_request_id*string
salesforce_account_id*string
request_type*string
Value in
"create" | "refresh"status*string
Value in
"pending" | "completed" | "failed"max_age_days?|
Response Body
application/json
curl -X POST "https://api.poggio.io/v2beta/salesforce/accounts/pages" \ -H "Content-Type: application/json" \ -d '{ "sync_request_id": "string", "salesforce_account_id": "string", "request_type": "create", "status": "pending" }'Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Batch Write Account Plan
Write or update multiple Salesforce account plans in a single request. Each account plan is processed independently. The operation is processed asynchronously and returns immediately.
Write Account Plan
Write or update a Salesforce account plan. Creates a new account plan or updates an existing one based on the provided parameters. The operation is processed asynchronously.